# 系统配置选项 

## 配置说明
小麻雀处理器是可参数化配置的，通过修改`/rtl/config.h`文件的宏定义，可以方便地修改各项参数。  

## 参数配置区
|宏|默认值|功能|
|-|-|-|
|CPU_CLOCK_HZ|25_000_000|设置系统工作于何种频率|
|IRam_KB|32|iram指令存储器大小，单位为KB|
|SRam_KB|16|sram数据存储器大小，单位为KB|
|MVENDORID_NUM|32'h0|Vendor ID|
|MARCHID_NUM|32'd1|微架构编号|
|MIMPID_NUM |32'd1|硬件实现编号|
|MHARTID_NUM |32'd0|线程编号，单核则为0|
|DIV_MODE|"HF_DIV"|除法器模式，可配置为 高频多周期"HF_DIV"；低频少周期"HP_DIV"；仿真模式"SIM_DIV"|

## 开关配置区
|宏|功能|
|-|-|
|RV32_M_ISA|启用M扩展|
|SGCY_MUL|单周期乘法器，会降低最大工作频率|
|SM3_ACCL|启用硬件加速SM3杂凑算法|
|CSR_MINSTRET_EN|启用minstret指令计数器|
|Flash25|启用w25模型，会降低仿真速度|

